<p-fieldset legend="Text input">
  <p-toast [showTransitionOptions]="'800ms'" [hideTransitionOptions]="'800ms'"></p-toast>
  <form [formGroup]="group" (ngSubmit)="onSubmit()" class="form">
    <p-card>
      <div class="p-pb-4">
      </div>
      <div class="p-fluid p-formgrid p-grid">
        <div class="p-field p-col-12 p-md-6">
          <label class="p-float-label label" for="text">Text</label>
          <textarea id="text" type="text" pInputTextarea class="form-control" formControlName="text"></textarea>
          <span *ngIf="(group.controls.text.dirty && group.controls.text.errors)">
            <app-show-errors [control]="group.controls.text"></app-show-errors>
          </span>
        </div>
      </div>
      <p-footer>
        <div>
          <button pButton label="Convert" type="submit" class="p-button-raised p-button-outlined" color="primary"
                  [disabled]="(!group.dirty || group.invalid)"></button>
          <button pButton label="Clear" (click)="reset()" type="button"
                  class="p-button-text p-button-outlined p-button-plain"></button>
        </div>
      </p-footer>
    </p-card>
  </form>
</p-fieldset>
<p-fieldset legend="Text conversion result">
  <div class="p-fluid p-grid">
    <div class="p-field p-col-12 p-md-6">
      <label class="p-float-label label">Csv</label>
      <textarea pInputTextarea [(ngModel)]="csv" [rows]="5" autoResize="autoResize" readonly></textarea>
      <label class="p-float-label label">Xml</label>
      <textarea pInputTextarea [(ngModel)]="xml" [rows]="8" autoResize="autoResize" readonly></textarea>
    </div>
  </div>
</p-fieldset>
